Bug 137802 - CRASH When deleting shape+textframe anchored to page
Summary: CRASH When deleting shape+textframe anchored to page
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Attila Bakos (NISZ)
URL:
Whiteboard: target:7.1.0 target:7.2.0 target:7.1....
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Shape-Textbox
  Show dependency treegraph
 
Reported: 2020-10-27 13:47 UTC by NISZ LibreOffice Team
Modified: 2021-01-20 14:44 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-10-27 13:47:56 UTC
Writer can crash when a shape with textframe is deleted.

Steps to reproduce:
    1. In an empty document add a new paragraph so that you have two.
    2. Insert – Shape – Basic Shapes – Rectangle and place it to the center of page to have it anchored to the second empty paragraph.
    3. Right click on the shape – Add Text Box
    4. Right click on the shape – Position and Size
    5. Set Anchor as To page
    6. Delete the second paragraph that the shape was anchored
    7. Click on the shape and press Delete

Actual results:
Crash.

Expected results:
No crash.

LibreOffice details:
Version: 7.1.0.0.alpha1+ (x64)
Build ID: b61bf7c7cfcf97a5ade6d130873af146670bc2ee
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: default; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL

Bibisected using bibisect-win64-7.X to:
URL: https://cgit.freedesktop.org/libreoffice/core/commit/?id=fd88bb81236ad6d1a63436b7ce20f2f93410d359 

author
Bakos Attila <bakos.attilakaroly@nisz.hu>
2020-07-16 16:56:33 +0200
committer
László Németh <nemeth@numbertext.org>
2020-07-23 17:28:00 +0200

tdf#107225 tdf#122887 sw: fix reanchoring of textboxes

Adding CC to: Attila Bakos
Comment 1 Commit Notification 2020-10-28 18:10:23 UTC
Attila Bakos (NISZ) committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/056933bc55608d0ca061539ae124d7b9386cdb62

tdf#137802 sw: fix crash on deleting last paragraph

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2020-11-17 15:02:36 UTC
Attila Bakos (NISZ) committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a7bd634371285dbdceaf775dc31b6b586c7ca02f

tdf#137802 tdf#84691 sw: sync anchoring of textbox with UNO

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 NISZ LibreOffice Team 2020-11-18 14:23:38 UTC
Verified in:

Version: 7.1.0.0.alpha1+ (x64)
Build ID: ccd0e5f445d4a7d0e7aca6c23c02c61bf14510b2
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: threaded

Thanks for fixing!
Comment 4 Commit Notification 2020-12-03 10:43:04 UTC
Attila Bakos (NISZ) committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/918608006728cc753dc12a1b1499172dabe15376

tdf#137802 sw: fix crash of textbox anchored to page

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2020-12-03 22:33:11 UTC
Attila Bakos (NISZ) committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/12637d0ddecd9c70c7255f76ff5e3b8651ae273e

tdf#137802 sw: fix crash of textbox anchored to page

It will be available in 7.1.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2020-12-04 10:43:56 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/44a3a3a53db57398efa2ec4db026e4ebda086dde

tdf#137802: sw: Add UITest

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 László Németh 2020-12-04 11:06:16 UTC
@Xisco: many thanks for the test!
Comment 8 Attila Bakos (NISZ) 2020-12-04 11:21:16 UTC
(In reply to Commit Notification from comment #6)
> Xisco Fauli committed a patch related to this issue.
> It has been pushed to "master":
> 
> https://git.libreoffice.org/core/commit/
> 44a3a3a53db57398efa2ec4db026e4ebda086dde
> 
> tdf#137802: sw: Add UITest
> 
> It will be available in 7.2.0.
> 
> The patch should be included in the daily builds available at
> https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
> information about daily builds can be found at:
> https://wiki.documentfoundation.org/Testing_Daily_Builds
> 
> Affected users are encouraged to test the fix and report feedback.

@Xisco: Thank you for the test!
Comment 9 Xisco Faulí 2020-12-04 11:27:47 UTC
No problem, it's a bit tricky to deal with shapes with textboxes but I'm happy I eventually found a way to test it
Comment 10 NISZ LibreOffice Team 2021-01-20 14:44:49 UTC
Verified in:

Version: 7.2.0.0.alpha0+ (x64)
Build ID: 96bafa464ebdbce3ef04bec9beae5e745bb37794
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: en-GB
Calc: threaded